# ListTimeZones Method

## Description

Retrieves the list of time zones.

## HTTP Request

`GET https://api.skeddly.com/api/TimeZones`

## Query Parameters

The following query parameters are accepted.

### timeZoneIds

Comma-separated list of time zone IDs to include.

Required: No

## Returns

Array of [TimeZone](/data-types/timezone-object.md) objects.

## Sample Request

{% tabs %}
{% tab title="HTTP" %}

```http
GET /api/TimeZones HTTP/1.1
Host: api.skeddly.com
Authorization: AccessKey <api key>
```

{% endtab %}

{% tab title="Bash" %}

```bash
curl "https://api.skeddly.com/api/TimeZones"
  -H "Authorization: AccessKey <api key>"
```

{% endtab %}
{% endtabs %}

## Sample Response

```javascript
[
  {
    "displayName": "(UTC-5:00) Eastern Standard Time",
    "timeZoneId": "Eastern Standard Time"
  }
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/resources/time-zones/listtimezones-method.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
